"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {
  var options = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

  var stylelint = { _options: options };

  // Two separate explorers so they can each have their own transform
  // function whose results are cached by cosmiconfig
  stylelint._fullExplorer = (0, _cosmiconfig2.default)("stylelint", {
    argv: false,
    rcExtensions: true,
    transform: _lodash2.default.partial(_augmentConfig.augmentConfigFull, stylelint)
  });
  stylelint._extendExplorer = (0, _cosmiconfig2.default)(null, {
    argv: false,
    transform: _lodash2.default.partial(_augmentConfig.augmentConfigExtended, stylelint)
  });

  stylelint._specifiedConfigCache = new Map();
  stylelint._postcssResultCache = new Map();
  stylelint._createStylelintResult = _lodash2.default.partial(_createStylelintResult2.default, stylelint);
  stylelint._getPostcssResult = _lodash2.default.partial(_getPostcssResult2.default, stylelint);
  stylelint._lintSource = _lodash2.default.partial(_lintSource2.default, stylelint);

  stylelint.getConfigForFile = _lodash2.default.partial(_getConfigForFile2.default, stylelint);
  stylelint.isPathIgnored = _lodash2.default.partial(_isPathIgnored2.default, stylelint);

  return stylelint;
};

var _augmentConfig = require("./augmentConfig");

var _flowDeclarations = require("./flow-declarations");

var _lodash = require("lodash");

var _lodash2 = _interopRequireDefault(_lodash);

var _cosmiconfig = require("cosmiconfig");

var _cosmiconfig2 = _interopRequireDefault(_cosmiconfig);

var _createStylelintResult = require("./createStylelintResult");

var _createStylelintResult2 = _interopRequireDefault(_createStylelintResult);

var _getConfigForFile = require("./getConfigForFile");

var _getConfigForFile2 = _interopRequireDefault(_getConfigForFile);

var _getPostcssResult = require("./getPostcssResult");

var _getPostcssResult2 = _interopRequireDefault(_getPostcssResult);

var _isPathIgnored = require("./isPathIgnored");

var _isPathIgnored2 = _interopRequireDefault(_isPathIgnored);

var _lintSource = require("./lintSource");

var _lintSource2 = _interopRequireDefault(_lintSource);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }