"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (stylelint, filePathArg) {
  var filePath = filePathArg; // to please Flow
  if (!filePath) {
    return Promise.resolve(false);
  }

  return stylelint.getConfigForFile(filePath).then(function (_ref) {
    var config = _ref.config;

    var absoluteFilePath = _path2.default.isAbsolute(filePath) ? filePath : _path2.default.resolve(process.cwd(), filePath);

    if (config.ignoreFiles && (0, _multimatch2.default)(absoluteFilePath, config.ignoreFiles).length) {
      return true;
    }

    var ignorePatternsFilter = (0, _ignore2.default)().add(config.ignorePatterns).createFilter();

    var filepathRelativeToCwd = _path2.default.relative(process.cwd(), filePath);

    if (ignorePatternsFilter && !ignorePatternsFilter(filepathRelativeToCwd)) {
      return true;
    }

    return false;
  });
};

var _ignore = require("ignore");

var _ignore2 = _interopRequireDefault(_ignore);

var _multimatch = require("multimatch");

var _multimatch2 = _interopRequireDefault(_multimatch);

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }