"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getIsFileIgnored;

var _ignore = require("ignore");

var _ignore2 = _interopRequireDefault(_ignore);

var _multimatch = require("multimatch");

var _multimatch2 = _interopRequireDefault(_multimatch);

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getIsFileIgnored(ignorePatterns, ignoreFiles) {
  var ignorePatternsFilter = (0, _ignore2.default)().add(ignorePatterns).createFilter();

  return function (file) {
    var filepathRelativeToCwd = _path2.default.relative(process.cwd(), file);
    return ignorePatternsFilter && !ignorePatternsFilter(filepathRelativeToCwd) || ignoreFiles && (0, _multimatch2.default)(file, ignoreFiles).length;
  };
}